Changes between Initial Version and Version 1 of MC4BSM


Ignore:
Timestamp:
03/06/12 21:46:47 (7 years ago)
Author:
omatt
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • MC4BSM

    v1 v1  
     1Installation instructions and pre-workshop exercises
     2Instructions for the on-site exercise
     3Final result from the on-site exercise
     4
     5[http://www.phys.ufl.edu/~matchev/mc4bsm6/ Links to all tutorial presented at the MC4BSM conferences]
     6
     7
     8 == Installation instructions and pre-workshop exercises ==
     9
     10 === Install on Windows ===
     11The different program are foreseen to run on !Linux/Mac. If you don't have Linux or Mac, the best solution is to install Linux (I would advice to install Ubuntu) in dual boot and follow the instructions for Linux.
     12This video might help you to do so: http://video.google.com/videoplay?docid=-2369893842637434537
     13virtual machine are fine, but quite often the library readline is not present on the system. This package is not mandatory but allozs mg5 to have history and nice auto-completions.
     14So you might consider to install that library first and the compile python2.6.
     15
     16
     17 === Install on Linux ===
     18
     19  * '''python 2.6/2.7'''[[BR]]
     20    !MadGraph 5 requires python 2.6 or python 2.7. In order to check your version of python, you can type:
     21    python --version. Some of the repositories are still on python 2.5. So if updating python via your repository manager didn't work.
     22    you can download directly python from the following link:
     23    http://www.python.org/download/
     24    and follow instructions.
     25  * '''Madgraph5'''[[BR]]
     26    You will find madgraph5 package on the following page:  https://launchpad.net/madgraph5.
     27    For this program, you just need to untar it.
     28    To check if mg5 is correctly install you directly try to run it by doing:
     29    ./bin/mg5
     30    If you don't have a valid python version. It will fail directly.
     31  * '''MadAnalysis'''[[BR]]
     32    This programs is not mandatory but allows to have partonic distributions done automatically.
     33    In order to install this program, you need to launch mg5 (./bin/mg5) and then type
     34{{{
     35   install MadAnalysis
     36}}}
     37
     38 === Install on !MacOs ===
     39
     401. '''Basic program'''
     41  * perl
     42  * bash [[BR]]
     43  Those programs are by default present in any Mac distribution,
     44  but just in case you should check that they are all installed in your computer (by doing perl --version).
     45  * gmake [[BR]]
     46  By default, makefile are not recognize on mac. In order to check, you can do 'make --version'. If it says:
     47  -bash: make: command not found
     48  then you should install it. The easiest is to install the xcode.
     49     1. For !MacOs 10.5: https://connect.apple.com/cgi-bin/WebObjects/MemberSite.woa/wa/getSoftware?bundleID=20414
     50     2. For !MacOs 10.6: http://connect.apple.com/cgi-bin/WebObjects/MemberSite.woa/wa/getSoftware?bundleID=20792
     51     3. For !MacOs 10.7: http://itunes.apple.com/us/app/xcode/id448457090?mt=12
     52  In order to be able to download it, you will need to a apple developer account (which is free)
     53  * gfortran 4.x (To check the version do gfortran do: gfortran --version)
     54  This program is often not included in standard mac version. In order to download it, you can download it from:
     55    a.  http://prdownloads.sourceforge.net/hpc/gcc-lion.tar.gz?download for !MacOs 10.7
     56    b.  http://prdownloads.sourceforge.net/hpc/gcc-snwleo-intel-bin.tar.gz?download for !MacOs 10.6
     57    c.  http://sourceforge.net/projects/hpc/files/hpc/gcc/gcc-leopard-intel-bin.tar.gz/download for !MacOs 10.5
     58
     592. '''!MadGraph5'''
     60  * '''python'''
     61    a. The default python version of !MacOs 10.6 is python 2.6 and is (in 99% of the case) fully working with Madgraph5, so nothing to install for you.
     62    b. The python version of !MacOs 10.7 is python 2.7. And this one works perfectly, so nothing to install for you.
     63    c. For other version of MacOS, you will need to install python2.7 from the python web site: http://www.python.org/download/
     64  * '''Madgraph5'''[[BR]]
     65    You will find madgraph5 package on the following page:  https://launchpad.net/madgraph5.
     66    For this program, you just need to untar it.
     67    To check if mg5 is correctly install you directly try to run it by doing:
     68    ./bin/mg5
     69    If you don't have a valid python version. It will fail directly.
     70  * '''MadAnalysis'''[[BR]]
     71    This programs is not mandatory but allows to have partonic distributions done automatically.
     72    In order to install this program, you need to launch mg5 (./bin/mg5) and then type
     73{{{
     74   install MadAnalysis
     75}}}
     76
     77 === pre-workshop exercises ===
     78  As a pre-workshop exercises and a proof that the full instalation is succesfull.
     79  Please launch mg5
     80  ./bin/mg5
     81  and type the following command:
     82{{{
     83   tutorial
     84}}}
     85  and follow the tutorial instructions on the screen.
     86
     87
     88 == Instructions for the on-site exercise ==
     89
     90   * If you don't have run the tutorial before the lectures please do it now.
     91 Please launch mg5
     92  ./bin/mg5
     93  and type the following command:
     94{{{
     95   tutorial
     96}}}
     97  and follow the tutorial instructions on the screen.
     98
     99
     100
     101
     102